/*Canopy - The next generation of stoner streaming software
Copyright (C) 2024-2025 Rainbownapkin and the TTN Community

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.*/
class settingsPanel extends panelObj{
    constructor(client, panelDocument){
        super(client, "Client Settings", "/panel/settings", panelDocument);
    }

    closer(){
    }

    docSwitch(){
        this.youtubeSource = this.panelDocument.querySelector("#settings-panel-youtube-source select");

        this.renderSettings();
        this.setupInput();
    }

    setupInput(){
        this.youtubeSource.addEventListener('change', this.updateYoutubeSource.bind(this));
    }

    renderSettings(){
        this.youtubeSource.value = localStorage.getItem("ytPlayerType");
    }

    updateYoutubeSource(){
        localStorage.setItem("ytPlayerType", this.youtubeSource.value);
        client.processConfig("ytPlayerType", this.youtubeSource.value);
    }
}